ParserResultObject
Date: 2016-04-25

convertDXSingleDoubleSpeed

## Class ParserResultObject

- java.lang.Object
- - convertDXSingleDoubleSpeed.ParserResultObject

-     public class ParserResultObject
      extends java.lang.Object

  This class records and prints all dx single speed cooling coils found in an input file.

  ### License agreement

  The use of this program is subjected to the following license terms.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParserResultObject()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `cardinalDXDoubleSpeedsDuplicatesFile(java.lang.String fileName)` This method returns the number of duplicated DXDoubleSpeed found in an input file.
    `double` | `cardinalDXSingleSpeedsDuplicatesFile(java.lang.String fileName)` This method returns the number of duplicated DXSingleSpeed found in an input file.
    `void` | `dxDoubleSpeedsDuplicates(java.lang.String fileName)` This method finds duplicated DXDoubleSpeed in the input file and print them in an output file.
    `void` | `dxSingleSpeedsDuplicates(java.lang.String fileName)` This method finds duplicated DXSingleSpeed in the input file and print them in an output file.
    `java.lang.String` | `getGloHeaderStr()` This method gets the comments header for all cooling coils.
    `static java.util.ArrayList<java.lang.String>` | `removeDuplicates(java.util.ArrayList<java.lang.String> arlList)` This method removes duplicates from an array list.
    `static java.util.ArrayList<java.lang.String>` | `saveDuplicates(java.util.ArrayList<java.lang.String> arlList)` This method saves duplicates found in an array list.
    `void` | `setFoundDXDoubleSpeeds(java.util.ArrayList<DXDoubleSpeed> foundDXDoubleSpeeds)` This method sets the found dx double speed coils in an array.
    `void` | `setFoundDXSingleSpeeds(java.util.ArrayList<DXSingleSpeed> foundDXSingleSpeeds)` This method sets the found dx single speed coils in an array.
    `void` | `setGloHeaderStr(java.lang.String gloHeaderStr)` This method sets the comments header for all cooling coils.
    `void` | `toMoDXDoubleSpeedsFile(java.lang.String fileName)` This method prints all DXDoubleSpeed in an output file.
    `void` | `toMoDXSingleSpeedsFile(java.lang.String fileName)` This method prints all DXSingleSpeed in an output file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParserResultObject

          public ParserResultObject()

  - ### Method Detail

    - #### setFoundDXSingleSpeeds

          public void setFoundDXSingleSpeeds(java.util.ArrayList<DXSingleSpeed> foundDXSingleSpeeds)

      This method sets the found dx single speed coils in an array.
      Parameters:
        `foundDXSingleSpeeds` - array list of DXSingleSpeeds.

    - #### setFoundDXDoubleSpeeds

          public void setFoundDXDoubleSpeeds(java.util.ArrayList<DXDoubleSpeed> foundDXDoubleSpeeds)

      This method sets the found dx double speed coils in an array.
      Parameters:
        `foundDXDoubleSpeeds` - array list of DXDoubleSpeeds.

    - #### dxSingleSpeedsDuplicates

          public void dxSingleSpeedsDuplicates(java.lang.String fileName)
                                        throws java.io.IOException

      This method finds duplicated DXSingleSpeed in the input file and print them in an output file.
      Parameters:
        `fileName` - the EnergyPlus idf file name.
      Throws:
        `java.io.IOException` - when problems occur during file access.

    - #### dxDoubleSpeedsDuplicates

          public void dxDoubleSpeedsDuplicates(java.lang.String fileName)
                                        throws java.io.IOException

      This method finds duplicated DXDoubleSpeed in the input file and print them in an output file.
      Parameters:
        `fileName` - the EnergyPlus idf file name.
      Throws:
        `java.io.IOException` - when problems occur during file access.

    - #### toMoDXSingleSpeedsFile

          public void toMoDXSingleSpeedsFile(java.lang.String fileName)
                                      throws java.io.IOException

      This method prints all DXSingleSpeed in an output file.
      Parameters:
        `fileName` - the EnergyPlus idf file name.
      Throws:
        `java.io.IOException` - when problems occur during file access.

    - #### toMoDXDoubleSpeedsFile

          public void toMoDXDoubleSpeedsFile(java.lang.String fileName)
                                      throws java.io.IOException

      This method prints all DXDoubleSpeed in an output file.
      Parameters:
        `fileName` - the EnergyPlus idf file name.
      Throws:
        `java.io.IOException` - when problems occur during file access.

    - #### cardinalDXSingleSpeedsDuplicatesFile

          public double cardinalDXSingleSpeedsDuplicatesFile(java.lang.String fileName)

      This method returns the number of duplicated DXSingleSpeed found in an input file.
      Parameters:
        `fileName` - the EnergyPlus idf file name.
      Returns:
        number of duplicates.

    - #### cardinalDXDoubleSpeedsDuplicatesFile

          public double cardinalDXDoubleSpeedsDuplicatesFile(java.lang.String fileName)

      This method returns the number of duplicated DXDoubleSpeed found in an input file.
      Parameters:
        `fileName` - the EnergyPlus idf file name.
      Returns:
        number of duplicates.

    - #### saveDuplicates

          public static java.util.ArrayList<java.lang.String> saveDuplicates(java.util.ArrayList<java.lang.String> arlList)

      This method saves duplicates found in an array list.
      Parameters:
        `arlList` - array list with duplicated entries.
      Returns:
        new array list with found duplicates.

    - #### removeDuplicates

          public static java.util.ArrayList<java.lang.String> removeDuplicates(java.util.ArrayList<java.lang.String> arlList)

      This method removes duplicates from an array list.
      Parameters:
        `arlList` - array list with duplicated entries.
      Returns:
        new array list without duplicates.

    - #### getGloHeaderStr

          public java.lang.String getGloHeaderStr()

      This method gets the comments header for all cooling coils.

    - #### setGloHeaderStr

          public void setGloHeaderStr(java.lang.String gloHeaderStr)

      This method sets the comments header for all cooling coils.